Ways to get help while you work

Just click Help on the Help menu. The Help window appears. To scroll through a table of contents for help, click the Contents tab. When you want to search for specific words or phrases, click the Index tab.

If you require additional help please send an e-mail to:

Germany, Austria and Switzerland:
support@bitlogix.de

USA, Canada and all other countries:
support@bitlogix.com

You may also find additional support on our website: http://www.bitlogix.com/support/


What can I do with NetControl?

What can I do with Bitlogix NetControl?

NetControl® Advanced is a software tool for audiovisual applications to assist in controlling and maintaining audiovisual equipment over a LAN/ WAN. Tracking audiovisual devices on a network using NetControl® along with TCP/IP network interfaces or projectors with integrated network adapters is an easy task.

Event Scheduler
NetControl® Advanced allows easy setup of reoccurring time-based events and offers automation of daily control tasks over the LAN/WAN. The event manager schedules events for single devices, groups of devices and whole installations. Event scheduling can be used for shut-down during the night, input switching for entertainment and rental applications, automated e-mail reporting of device status and many other tasks.

Anti-Theft
Control NetControl's theft control feature efficiently monitors all activated devices on the network. The software reports a possible theft even in the event of no power to projector or TCP/IP interface. NetControl® anti-theft alarm notifies the user with a visual and audio on-screen alarm and sends alarm notifications by e-mail. The software can also send alerts to digital cellular phones.

Status Reporting
NetControl® Advanced provides a powerful tool to analyze and supervise audiovisual equipment. NetControl® can generate status reports for devices and forward the reports by e-mail. Lamp life, power control, input selection, temperature control and signal detection are just a view examples of NetControl's feature rich status reporting tool.

Control Manager
Control hundreds of audiovisual devices with a slight move of the fingertip. Turn device power on and off or change the signal inputs of as many supported audiovisual devices you desire with the multiple device control feature. Control devices individually, in groups, or all together over the LAN/WAN. Never leave your seat.

A powerful user interface gives important information about installed projectors. Many useful control functions are provided through the database driven control manager, event manager, status report manager and the anti-theft control. NetControl® Advanced offers the ability to do remote maintenance from a computer without actually seeing the projector. NetControl® is designed for university campus, government facilities, rental applications or medium to large sized companies with multi-floor and even multi-building presentation applications. Enjoy the freedom of easy device control through a TCP/IP network.

Thank you very much for using a Bitlogix product.


Search the Network for interfaces

Search the Network for TCP/IP interfaces and create new interfaces

Select the Search|Search Properties menu to activate a TCP/IP interface and network device broadcast.

Make sure that you can send a broadcast message over your LAN. If you have to change the broadcast address please check with your network administrator.

Click on the menu Search|Search Network to do a network search. All available TCP/IP interfaces or network devices will be displayed in the Group Folder List after a successful search.

You can also perform the network search by clicking the Search Network button in the Advanced tool bar.

Some third party TCP/IP interfaces do not support NetControl's integrated search function. To include those devices to your system please mark the root system in the Group Folder List and click the right mouse button. A popup menu appears. Click New TCP/IP Interface to add a new interface.

Enter a valid MAC address or any other unique identifier and press the OK button.

You have successfully added a new TCP/IP interface to the system.


Change properties of a device

Select a TCP/IP interface in the Group Folder List. Press F5 to change the properties of the related audiovisual device.

Change the device name, device model and TCP/IP Interface. You can pick an audiovisual device model from the Device Model combo box.

Change the IP address, Subnet Mask and Gateway of the TCP/IP interface you have selected. Please keep in mind that you can set the subnet mask and the Gateway for the EIKI NPC-1 and EXTRON IPLink devices through the NetControl software. Other devices do not currently support this feature. Please read the user manual for your specific device and setup the interface manually.

Set a TCP port you want to use for the communication between computer and interface.

For higher security you can change the interface password on some TCP/IP interfaces. Please note that without the correct password you can not access your network device. Some network devices do not support password protection.

The SHARP AN-LS1 supports a different security strategy. You can set an access userID and an access password manually on the AN-LS1. You must use the same userID and password in the NetControl software. Without the correct userID and password the application is unable to access the audio visual device.

After changing the device properties you must click on the Update TCP/IP Interfaces button to store the changes in the EIKI NPC-1 interfaces. The SHARP AN-LS1 interface doesn't currently support this function. Extron devices can be setup in the device properties menu.

Now, the basic setup for the devices and the TCP/IP interfaces is done.


Connect to a device

Click on the menu Network|Connect to Device to connect to one or a group of devices.

After the devices are connected you can start controlling and managing your devices.


Add Group Folders

To add group folders select first the Root System. Press the insert key on your keyboard to add a new folder. Another way to add a new folder is to click the right mouse button for a popup menu. Select the menu item New Group Folder.

Add a descriptive name for your new folder.

To add more sub folder select a folder and press the insert key on your keyboard or use the popup menu. The final group folder structure could look like this.


Move Group Folders or Device

To move group folders or devices select an item. Press Ctrl+M or click right mouse button and select Move Group Folder or Device.

A tool window opens. Mark the destination folder and hit the OK button.

NetControl supports Drag & Drop functionality. To move a folder or a device just mark an item and hold the left mouse button. Move item with mouse pointer to the new location.

The final result could look like this.


Control and Manage Devices

To use the control and management features of the NetControl software select a device or a group folder and select the menu Tools|Control Manager|Main Device Control or Tools|Control Manager|Input Switching. If you have selected one specific device NetControl activates all available control features for the selected device. If you have selected a group folder with different sub devices in it NetControl activates all available control features which are supported by all devices. The volume bar is always deactivated in multiple device control mode.

Select a control button to manage direct controlling of one or many devices.

To change inputs chose the Input Switching tab and select an input.


Schedule Events with the Event Manager

To use the event features of the NetControl software select a device or a group folder and select the menu Tools|Event Manager|Event Manager. If you have selected one specific device NetControl uses this device to schedule events. If you have selected a group folders with different sub devices in it NetControl uses this folder to schedule events for all sub-devices.

The event manager is activated if you see the event clock [image] in the taskbar.

Add a new event by clicking the menu Events|Add Events.

Enter Event Time, Event Start Date, Event Cycle and the Event Action. If you want to activate the event mark the check box. Finally click the OK button to save the new event.

A list of all scheduled events is shown in the Event Manager. All events will be executed exactly at the pre-defined Event Time. If you want to run an event manually to test the event just click the Run Event button in the toolbar.


Status Reports

To use the status report features of the NetControl software select a device or a group folder and select the menu Tools|Status Report|Get Status Report. Please note that not all devices support all status report functions.

You can manually run the status report by clicking the related buttons in the toolbar.

To change the status report properties select the menu Status|Properties in the status report window.

Pick all status report fields which should be included in the status report. Please note that not all status report functions are supported by all devices. If you want to send a status report by email please enter a valid email address.

Before sending status report emails you must setup a valid mail server.
Enter a valid sender email address.

All status reports are saved under the \reports directory as .txt files. You easily can import the report files into MS Excel. The field delimiter is a tabulator.


Theft Control Function

Theft Control Alarm Functionality

To use the theft control alarm feature of NetControl select the menu Tools|TheftControl|Activate Theft Control. The theft control feature only controls connected devices under the root system.

The theft control is activated if you see the theft lock [image] in the taskbar.

Before activating the theft control alarm you must setup the theft control properties. "Time lapse" is the time in milliseconds between two scans of the theft control function. "Delay counts" is the amount of additional scans before sending out a theft alarm.

If you want to send the theft alarm by email please use valid email addresses.

Before sending a theft alarm email you must setup a valid mail server.
Enter a valid sender email address.

The theft control alarm function of the NetControl is very powerful. If a device or interface is disconnected from the network the software will recognize it and send a theft alarm. However, no theft control is 100% fail proof. We recommend testing the theft control alarm first. Get familiar with it before "going live". Please note that a common power outage or a defective audiovisual device could also trigger a theft alarm.


What is NetControl Direct?

NetControl Direct is located under the menu Help|NetControl Direct. NetControl Direct uses the current "live" internet connection and web browser to inform the user of new Bitlogix product news, updates and patches, technical tips, and other Bitlogix announcements.


QuickLogix International LLC Software License

NetControl Advanced Software
Bitlogix Software LLC Software License Agreement

PLEASE READ THIS SOFTWARE LICENSE AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE. THIS LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN YOU AND BITLOGIX SOFTWARE LLC FOR THIS SOFTWARE PRODUCT, WHICH INCLUDES COMPUTER SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED MATERIALS, AND "ONLINE" OR ELECTRONIC DOCUMENTATION AND DATABASE FILES (" SOFTWARE PRODUCT"). THE SOFTWARE PRODUCT ALSO INCLUDES ANY UPDATES AND SUPPLEMENTS TO THE ORIGINAL SOFTWARE PRODUCT PROVIDED TO YOU BY BITLOGIX. BY INSTALLING, COPYING, DOWNLOADING, ACCESSING OR OTHERWISE USING THE SOFTWARE PRODUCT, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENSE AGREEMENT, DO NOT INSTALL OR USE THE SOFTWARE PRODUCT. YOU MAY THEN RETURN THE SOFTWARE PRODUCT TO THE PLACE WHERE YOU OBTAINED IT FOR A REFUND. UNTIL RETURN OF THIS SOFTWARE PRODUCT HAS BEEN ACCEPTED, YOU ARE GOVERNED BY THIS LICENSE AGREEMENT.

1. License
The software product is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The software product is licensed not sold. The software product is licensed to you by Bitlogix Software LLC or its local subsidiary, if any ("Bitlogix"). You own the media on which the software product is recorded but Bitlogix and/or Bitlogix's licensor(s) retain title to the software product. The software product in this package and any copies which this license agreement authorizes you to make are subject to this license agreement. The license agreement is effective until terminated.

2. Permitted Uses and Restrictions
This license agreement allows you to install and use the software product on a single computer. This license agreement does not allow the software product to exist on more than one computer at a time. You may make one copy of the software product in machine-readable form for backup purposes only. The backup copy must include all copyright information contained on the original. Except as expressly permitted in this license agreement, you may not decompile, reverse engineer, disassemble, modify, rent, lease, loan, sublicense, distribute or create derivative works based upon the software product in whole or part or transmit the software product over a network. You may, however, transfer your rights under this license agreement provided you transfer the related documentation, this license agreement and a copy of the software product to a party who agrees to accept the terms of this license agreement and destroy any other copies of the software product in your possession. You have to notify Bitlogix in writing of such transfer. THE SOFTWARE PRODUCT IS NOT INTENDED FOR USE IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, OR AIR TRAFFIC CONTROL MACHINES IN WHICH CASE THE FAILURE OF THE SOFTWARE PRODUCT COULD LEAD TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE. Your rights under this license agreement will terminate automatically without notice from Bitlogix if you fail to comply with any term(s) of this license agreement. In such event, you must destroy all copies of the software product and all of its component parts.

3. Copyright Protection
This software product is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this software product, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

4. Limited Warranty on Media (if applicable)
Bitlogix warrants the media on which the software product is recorded to be free from defects in materials and workmanship under normal use for a period of ninety (90) days from the date of original retail purchase. Your exclusive remedy under this paragraph shall be, at Bitlogix's option, a refund of the purchase price of the product containing the software product or replacement of the software product, which is returned to Bitlogix or a Bitlogix authorized representative with a copy of the receipt. THIS LIMITED WARRANTY AND ANY IMPLIED WARRANTIES ON THE MEDIA INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE LIMITED IN DURATION TO NINETY (90) DAYS FROM THE DATE OF ORIGINAL RETAIL PURCHASE. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY LASTS, SO THIS LIMITATION MAY NOT APPLY TO YOU. THE LIMITED WARRANTY SET FORTH HEREIN IS EXCLUSIVE AND IN LIEU OF ALL OTHERS, WHETHER ORAL OR WRITTEN, EXPRESS OR IMPLIED. BITLOGIX SPECIFICALLY DISCLAIMS ALL OTHER WARRANTIES. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS, AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY BY JURISDICTION.

5. Disclaimer of Warranty on Bitlogix Software
You expressly acknowledge and agree that use of the software product is at your sole risk. The software product is provided "AS IS" and without warranty of any kind and Bitlogix and Bitlogix's licensor(s) (for the purposes of provisions 5 and 6, Bitlogix and Bitlogix's licensor(s) shall be collectively referred to as "Bitlogix") EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. BITLOGIX DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE SOFTWARE PRODUCT WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF THE SOFTWARE PRODUCT WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE SOFTWARE PRODUCT WILL BE CORRECTED. FURTHERMORE, BITLOGIX DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE RESULTS OF THE USE OF THE SOFTWARE PRODUCT OR RELATED DOCUMENTATION IN TERMS OF THEIR CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY BITLOGIX OR A BITLOGIX AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. SHOULD THE SOFTWARE PRODUCT PROVE DEFECTIVE, YOU (AND NOT BITLOGIX OR A BITLOGIX AUTHORIZED REPRESENTATIVE) ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, CORRECTION OR LOSS OF PROPERTY. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. THE TERMS OF THIS DISCLAIMER DO NOT AFFECT OR PREJUDICE THE STATUTORY RIGHTS OF A CONSUMER ACQUIRING BITLOGIX PRODUCTS OTHERWISE THAN IN THE COURSE OF A BUSINESS, NEITHER DO THEY LIMIT OR EXCLUDE ANY LIABILITY FOR DEATH OR PERSONAL INJURY CAUSED BY BITLOGIX'S NEGLIGENCE.

6. Limitation of Liability
BITLOGIX AND ITS LICENSOR(S) WILL NOT BE LIABLE, AND YOU WILL HAVE NO REMEDY FOR, DAMAGES FOR ANY CLAIM OF ANY KIND WHATSOEVER CONCERNING YOUR USE OF THE SOFTWARE PRODUCT OR ANY ACCOMPANYING DOCUMENTATION, REGARDLESS OF LEGAL THEORY, AND WHETHER ARISING IN TORT OR CONTRACT. IN NO EVENT WILL BITLOGIX OR ITS LICENSOR(S) BE LIABLE TO YOU FOR ANY SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, COMPENSATION, REIMBURSEMENT OR DAMAGES ON ACCOUNT OF THE LOSS OF PRESENT OR PROSPECTIVE PROFITS, LOSS OF DATA, LOSS OF PROPERTY OR FOR ANY OTHER REASON WHATSOEVER CONCERNING YOUR USE OF THE SOFTWARE PRODUCT OR ANY ACCOMPANYING DOCUMENTATION.

7. Export Law Assurances
You may not use or otherwise export or re-export the software product except as authorized by United States law and the laws of the jurisdiction in which the software product was obtained. In particular, but without limitation, the software product may not be exported or re-exported (i) into (or to a national or resident of) any U.S. embargoed country or (ii) to anyone on the U.S. Treasury Department's list of Specially Designated Nationals or the U.S. Department of Commerce's Table of Denial Orders. By using the software product, you represent and warrant that you are not located in, under control of, or a national or resident of any such country or on any such list.

8. Government End Users
RESTRICTED RIGHTS LEGEND. This software product is commercial in nature. The software product and software documentation are "Commercial Items", as that term is defined in 48 C.F.R. section 2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation", as such terms are defined in 48 C.F.R. section 252.227-7014(a)(5) and 48 C.F.R. section 252.227-7014(a)(1), and used in 48 C.F.R. section 12.212 and 48 C.F.R. section 227.7202, as applicable. Consistent with 48 C.F.R. section 12.212, 48 C.F.R. section 252.227-7015, 48 C.F.R. section 227.7202 through 227.7202-4, 48 C.F.R. section 52.227-14, and other relevant sections of the Code of Federal Regulations, as applicable, this software product and software documentation are licensed to United States Government end users with only those rights as granted to all other end users, according to the terms and conditions contained in this license agreement. Manufacturer is Bitlogix Software LLC, 2050 Oak Point Drive, Cross Roads, TX 76227.

9. Controlling Law and Severability
If there is a local subsidiary of Bitlogix in the country in which the Bitlogix software license agreement was obtained, then the local law in which the subsidiary sits shall govern this license agreement. Otherwise, this license agreement shall be governed by the laws of the State of Texas. If for any reason a court of competent jurisdiction finds any provision, or portion thereof, to be unenforceable, the remainder of this license agreement shall continue in full force and effect.

10. Complete Agreement
This license agreement constitutes the entire agreement between the parties with respect to the use of the software product and supersedes all prior or contemporaneous understandings regarding such subject matter. No amendment to or modification of this license agreement will be binding unless in writing and signed by Bitlogix.

Bitlogix Software LLC
Cross Roads, Texas